local Aloft = Aloft
if not Aloft then return end
local AloftModules = AloftModules
if not AloftModules then return end

-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AloftAutoShowOptions")

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftAutoShow", function()

-----------------------------------------------------------------------------

-- leave "enUS" active at all times, as a default locale
L:RegisterTranslations("enUS", function() return {
	-- player states; should match strings in Aloft/Aloft.lua and Aloft localizations
	--[[ enUS ]] ["Player State"] = true,
	--[[ enUS ]] ["Combat"] = true,
	--[[ enUS ]] ["Flagged/PvP"] = true,
	--[[ enUS ]] ["Resting"] = true,
	--[[ enUS ]] ["Group"] = true,
	--[[ enUS ]] ["Default"] = true,

	-- player locations; should match strings in Aloft/Aloft.lua and Aloft localizations
	--[[ enUS ]] ["Player Location"] = true,
	--[[ enUS ]] ["World"] = true,
	--[[ enUS ]] ["Battleground"] = true,
	--[[ enUS ]] ["Arena"] = true,
	--[[ enUS ]] ["5-Man Instance"] = true,
	--[[ enUS ]] ["Raid Instance"] = true,

	--[[ enUS ]] ["Set All"] = true,

	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates (subject to Visibility options)"] = true,

	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting combat (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates by default (subject to Visibility options)"] = true,

	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)"] = true,

	--[[ enUS ]] ["Auto-show/hide all friendly nameplates (subject to Visibility options)"] = true,

	--[[ enUS ]] ["Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on entering/exiting combat (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates by default (subject to Visibility options)"] = true,

	--[[ enUS ]] ["Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = true,
	--[[ enUS ]] ["Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)"] = true,
} end)

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

local locale = GetLocale()

-----------------------------------------------------------------------------

if (locale == "koKR") then

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftAutoShow", function()

-----------------------------------------------------------------------------

L:RegisterTranslations("koKR", function() return {
	-- player states; should match strings in Aloft/Aloft.lua and Aloft localizations
	--[[ koKR ]] ["Combat"] = "Combat",
	--[[ koKR ]] ["Flagged/PvP"] = "Flagged/PvP",
	--[[ koKR ]] ["Resting"] = "Resting",
	--[[ koKR ]] ["Group"] = "Group",
	--[[ koKR ]] ["Default"] = "Default",

	-- player locations; should match strings in Aloft/Aloft.lua and Aloft localizations
	--[[ koKR ]] ["Player Location"] = "Player Location",
	--[[ koKR ]] ["World"] = "World",
	--[[ koKR ]] ["Battleground"] = "Battleground",
	--[[ koKR ]] ["Arena"] = "Arena",
	--[[ koKR ]] ["5-Man Instance"] = "5-Man Instance",
	--[[ koKR ]] ["Raid Instance"] = "Raid Instance",

	--[[ koKR ]] ["Set All"] = "Set All",

	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates (subject to Visibility options)",

	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting combat (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting combat (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates by default (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates by default (subject to Visibility options)",

	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)",

	--[[ koKR ]] ["Auto-show/hide all friendly nameplates (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates (subject to Visibility options)",

	--[[ koKR ]] ["Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on entering/exiting combat (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting combat (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates by default (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates by default (subject to Visibility options)",

	--[[ koKR ]] ["Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)",
	--[[ koKR ]] ["Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)",
} end)

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

elseif (locale == "ruRU") then

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftAutoShow", function()

-----------------------------------------------------------------------------

L:RegisterTranslations("ruRU", function() return {
	-- player states; should match strings in Aloft/Aloft.lua and Aloft localizations
	--[[ ruRU ]] ["Player State"] = "Состояние игрока",
	--[[ ruRU ]] ["Combat"] = "Бой",
	--[[ ruRU ]] ["Flagged/PvP"] = "Флаг/PvP",
	--[[ ruRU ]] ["Resting"] = "Отдых",
	--[[ ruRU ]] ["Group"] = "Группа",
	--[[ ruRU ]] ["Default"] = "По умолчанию",

	-- player locations; should match strings in Aloft/Aloft.lua and Aloft localizations
	--[[ ruRU ]] ["Player Location"] = "Местонахождение игрока",
	--[[ ruRU ]] ["World"] = "Мир",
	--[[ ruRU ]] ["Battleground"] = "Поля сражений",
	--[[ ruRU ]] ["Arena"] = "Арена",
	--[[ ruRU ]] ["5-Man Instance"] = "Инстансы на 5-чел",
	--[[ ruRU ]] ["Raid Instance"] = "Рейдовые инстансыe",

	--[[ ruRU ]] ["Set All"] = "Выбрать всё",

	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates (subject to Visibility options)",

	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting combat (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting combat (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates by default (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates by default (subject to Visibility options)",

	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)",

	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates (subject to Visibility options)"] = "Авто-показ/скрытие все дружественные таблички (subject to Visibility options)",

	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on entering/exiting combat (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting combat (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates by default (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates by default (subject to Visibility options)",

	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)",
	--[[ ruRU ]] ["Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)",
} end)

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

elseif (locale == "zhCN") then

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftAutoShow", function()

-----------------------------------------------------------------------------

L:RegisterTranslations("zhCN", function() return {
	--[[ zhCN ]] ["Combat"] = "战斗",
	--[[ zhCN ]] ["Flagged/PvP"] = "Flagged/PvP",
	--[[ zhCN ]] ["Resting"] = "休息",
	--[[ zhCN ]] ["Group"] = "小队",
	--[[ zhCN ]] ["Default"] = "默认",

	-- player locations; should match strings in Aloft/Aloft.lua and Aloft localizations
	--[[ zhCN ]] ["Player Location"] = "Player Location",
	--[[ zhCN ]] ["World"] = "World",
	--[[ zhCN ]] ["Battleground"] = "Battleground",
	--[[ zhCN ]] ["Arena"] = "Arena",
	--[[ zhCN ]] ["5-Man Instance"] = "5-Man Instance",
	--[[ zhCN ]] ["Raid Instance"] = "Raid Instance",

	--[[ zhCN ]] ["Set All"] = "全部",

	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates (subject to Visibility options)"] = "自动显示/隐藏所有中立和敌对姓名板（受控于可见度选项）",

	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting combat (subject to Visibility options)"] = "进入/离开战斗时自动显示/隐藏所有中立和敌对姓名板（受控于可见度选项）",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates by default (subject to Visibility options)"] = "默认自动显示/隐藏所有中立和敌对姓名板（受控于可见度选项）",

	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)",

	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates (subject to Visibility options)"] = "自动显示/隐藏所有友方姓名板（受控于可见度选项）",

	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on entering/exiting combat (subject to Visibility options)"] = "进入/离开战斗时自动显示/隐藏所有友方姓名板（受控于可见度选项）",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates by default (subject to Visibility options)"] = "默认自动显示/隐藏所有友方姓名板（受控于可见度选项）",

	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)",
	--[[ zhCN ]] ["Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)",
} end)

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

elseif (locale == "zhTW") then

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftAutoShow", function()

-----------------------------------------------------------------------------

L:RegisterTranslations("zhTW", function() return {
	--[[ zhTW ]] ["Combat"] = "戰斗",
	--[[ zhTW ]] ["Flagged/PvP"] = "Flagged/PvP",
	--[[ zhTW ]] ["Resting"] = "休息",
	--[[ zhTW ]] ["Group"] = "小隊",
	--[[ zhTW ]] ["Default"] = "默認",

	-- player locations; should match strings in Aloft/Aloft.lua and Aloft localizations
	--[[ zhTW ]] ["Player Location"] = "Player Location",
	--[[ zhTW ]] ["World"] = "World",
	--[[ zhTW ]] ["Battleground"] = "Battleground",
	--[[ zhTW ]] ["Arena"] = "Arena",
	--[[ zhTW ]] ["5-Man Instance"] = "5-Man Instance",
	--[[ zhTW ]] ["Raid Instance"] = "Raid Instance",

	--[[ zhTW ]] ["Set All"] = "全部",

	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates (subject to Visibility options)"] = "自動顯示/隱藏所有中立和敵對名牌（受控於可見度選項）",

	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates based on player state (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting combat (subject to Visibility options)"] = "進入/離開戰鬥時自動顯示/隱藏所有中立和敵對名牌（受控於可見度選項）",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates by default (subject to Visibility options)"] = "預設自動顯示/隱藏所有中立和敵對名牌（受控於可見度選項）",

	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates based on player location (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting the world (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting battlegrounds (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting arenas (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting 5-man instances (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)"] = "Auto-show/hide all neutral and hostile nameplates on entering/exiting raid instances (subject to Visibility options)",

	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates (subject to Visibility options)"] = "自動顯示/隱藏所有友方名牌（受控於可見度選項）",

	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates based on player state (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on entering/exiting combat (subject to Visibility options)"] = "進入/離開戰鬥時自動顯示/隱藏所有友方名牌（受控於可見度選項）",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on flagging/unflagging for PvP (and not in combat; subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting resting state (and not in combat or flagged; subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting groups (and not in combat, flagged, or resting; subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates by default (subject to Visibility options)"] = "預設自動顯示/隱藏所有友方名牌（受控於可見度選項）",

	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates based on player location (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting the world (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting battlegrounds (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting arenas (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting 5-man instances (subject to Visibility options)",
	--[[ zhTW ]] ["Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)"] = "Auto-show/hide all friendly nameplates on entering/exiting raid instances (subject to Visibility options)",
} end)

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

end
