local Aloft = Aloft
if not Aloft then return end
local AloftModules = AloftModules
if not AloftModules then return end

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftVisibility", function()

-----------------------------------------------------------------------------

if not Aloft:HasModule("Visibility") then return end

local AloftVisibility = Aloft:GetModule("Visibility")
local L = AceLibrary("AceLocale-2.2"):new("AloftVisibilityOptions")
local oT = AceLibrary("AceLocale-2.2"):new("AloftVisibilityTotems")

-----------------------------------------------------------------------------

Aloft.Options.args.visibility =
{
	type = 'group',
	name = L["Visibility"],
	desc = L["Extra visibility options"],
	disabled = function() return not Aloft:IsActive() end,
	args =
	{
		friendlyPlayers =
		{
			type = 'text',
			name = L["Friendly Players"],
			desc = L["Selects which friendly players to show"],
			get = function() return AloftVisibility.db.profile.friendlyPlayers end,
			set = function(v) AloftVisibility.db.profile.friendlyPlayers = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			validate = { ["ALL"] = L["All"], ["GUILDONLY"] = L["Guild Only"], ["GROUPONLY"] = L["Group Only"], ["NONE"] = L["None"] },
			order = 1,
		},
		showPet =
		{
			type = 'toggle',
			name = L["Show Pet"],
			desc = L["Shows nameplates for your pets"],
			get = function() return AloftVisibility.db.profile.showPet end,
			set = function(v) AloftVisibility.db.profile.showPet = v AloftVisibility:Update() end,
			order = 2,
		},
		showGroupPets =
		{
			type = 'toggle',
			name = L["Show Group Pets"],
			desc = L["Shows nameplates for group pets"],
			get = function() return AloftVisibility.db.profile.showGroupPets end,
			set = function(v) AloftVisibility.db.profile.showGroupPets = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			order = 3,
		},
		showFriendlyPets =
		{
			type = 'toggle',
			name = L["Show Friendly Pets"],
			desc = L["Shows nameplates for friendly pets"],
			get = function() return AloftVisibility.db.profile.showFriendlyPets end,
			set = function(v) AloftVisibility.db.profile.showFriendlyPets = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			order = 4,
		},
		showFriendlyNPCs =
		{
			type = 'toggle',
			name = L["Show Friendly NPCs"],
			desc = L["Show friendly NPCs"],
			get = function() return AloftVisibility.db.profile.showFriendlyNPCs end,
			set = function(v) AloftVisibility.db.profile.showFriendlyNPCs= v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			order = 5,
		},
		showFriendlyTotems =
		{
			-- type = 'group',
			name = L["Show Friendly Totems/Trap Snakes/Bloodworms"],
			desc = L["Shows nameplates for friendly totems/trap snakes/bloodworms (only affects nameplates while out of combat)"],
			order = 5,
			-- args =
			-- {
			--	enable =
			--	{
					type = 'toggle',
			--		name = L["Enable"],
			--		desc = L["Shows nameplates for friendly totems/trap snakes/bloodworms (only affects nameplates while out of combat)"],
			--		order = 1,
					get = function() return AloftVisibility.db.profile.showFriendlyTotems end,
					set = function(v) AloftVisibility.db.profile.showFriendlyTotems = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			--	},
			--	exception =
			--	{
			--		type = 'group',
			--		name = L["Exceptions"],
			--		desc = L["Even if nameplates for friendly totems/trap snakes/bloodworms are hidden, display these (with a dedicated color)"],
			--		order = 2,
			--		args =
			--		{
			--			enableTremorTotem =
			--			{
			--				type = 'toggle',
			--				name = L["Enable Tremor Totem"],
			--				desc = L["Explicitly shows nameplates for friendly tremor totems (with a dedicated color)"],
			--				order = 1,
			--				disabled = function() return AloftVisibility.db.profile.showFriendlyTotems end,
			--				get = function() return AloftVisibility.db.profile.enableFriendlyTotem[oT["Tremor Totem"]] end,
			--				set = function(v) AloftVisibility.db.profile.enableFriendlyTotem[oT["Tremor Totem"]] = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			--			},
			--			tremorTotemColor =
			--			{
			--				type = 'color',
			--				name = L["Dedicated Tremor Totem Color"],
			--				desc = L["Sets the dedicated color for friendly tremor totem nameplates"],
			--				order = 2,
			--				disabled = function() return not AloftVisibility.db.profile.showFriendlyTotems and not AloftVisibility.db.profile.enableFriendlyTotem[oT["Tremor Totem"]] end,
			--				get = function() return unpack(AloftVisibility.db.profile.friendlyTotemColor[oT["Tremor Totem"]]) end,
			--				set = function(r, g, b, a) AloftVisibility.db.profile.friendlyTotemColor[oT["Tremor Totem"]] = { r, g, b, a } AloftVisibility:Update() end,
			--				hasAlpha = true,
			--			},
			--			enableGroundingTotem =
			--			{
			--				type = 'toggle',
			--				name = L["Enable Grounding Totem"],
			--				desc = L["Explicitly shows nameplates for friendly grounding totems (with a dedicated color)"],
			--				order = 3,
			--				disabled = function() return AloftVisibility.db.profile.showFriendlyTotems end,
			--				get = function() return AloftVisibility.db.profile.enableFriendlyTotem[oT["Grounding Totem"]] end,
			--				set = function(v) AloftVisibility.db.profile.enableFriendlyTotem[oT["Grounding Totem"]] = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			--			},
			--			groundingTotemColor =
			--			{
			--				type = 'color',
			--				name = L["Dedicated Grounding Totem Color"],
			--				desc = L["Sets the dedicated color for friendly grounding totem nameplates"],
			--				order = 4,
			--				disabled = function() return not AloftVisibility.db.profile.showFriendlyTotems and not AloftVisibility.db.profile.enableFriendlyTotem[oT["Grounding Totem"]] end,
			--				get = function() return unpack(AloftVisibility.db.profile.friendlyTotemColor[oT["Grounding Totem"]]) end,
			--				set = function(r, g, b, a) AloftVisibility.db.profile.friendlyTotemColor[oT["Grounding Totem"]] = { r, g, b, a } AloftVisibility:Update() end,
			--				hasAlpha = true,
			--			},
			--			enableEarthbindTotem =
			--			{
			--				type = 'toggle',
			--				name = L["Enable Earthbind Totem"],
			--				desc = L["Explicitly shows nameplates for friendly earthbind totems (with a dedicated color)"],
			--				order = 5,
			--				disabled = function() return AloftVisibility.db.profile.showFriendlyTotems end,
			--				get = function() return AloftVisibility.db.profile.enableFriendlyTotem[oT["Earthbind Totem"]] end,
			--				set = function(v) AloftVisibility.db.profile.enableFriendlyTotem[oT["Earthbind Totem"]] = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			--			},
			--			earthbindTotemColor =
			--			{
			--				type = 'color',
			--				name = L["Dedicated Earthbind Totem Color"],
			--				desc = L["Sets the dedicated color for friendly earthbind totem nameplates"],
			--				order = 6,
			--				disabled = function() return not AloftVisibility.db.profile.showFriendlyTotems and not AloftVisibility.db.profile.enableFriendlyTotem[oT["Earthbind Totem"]] end,
			--				get = function() return unpack(AloftVisibility.db.profile.friendlyTotemColor[oT["Earthbind Totem"]]) end,
			--				set = function(r, g, b, a) AloftVisibility.db.profile.friendlyTotemColor[oT["Earthbind Totem"]] = { r, g, b, a } AloftVisibility:Update() end,
			--				hasAlpha = true,
			--			},
			--		},
			--	},
			-- },
		},
		showHostilePlayers =
		{
			type = 'toggle',
			name = L["Show Hostile Players"],
			desc = L["Shows nameplates for hostile players"],
			get = function() return AloftVisibility.db.profile.showHostilePlayers end,
			set = function(v) AloftVisibility.db.profile.showHostilePlayers = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			order = 6,
		},
		showHostilePets =
		{
			type = 'toggle',
			name = L["Show Hostile Pets"],
			desc = L["Shows nameplates for hostile pets"],
			get = function() return AloftVisibility.db.profile.showHostilePets  end,
			set = function(v) AloftVisibility.db.profile.showHostilePets = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			order = 7,
		},
		showHostileNPCs =
		{
			type = 'toggle',
			name = L["Show Hostile NPCs"],
			desc = L["Show hostile NPCs"],
			get = function() return AloftVisibility.db.profile.showHostileNPCs end,
			set = function(v) AloftVisibility.db.profile.showHostileNPCs = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			order = 8,
		},
		showHostileTotems =
		{
			type = 'group',
			name = L["Show Hostile Totems/Trap Snakes/Bloodworms"],
			desc = L["Shows nameplates for hostile totems/trap snakes/bloodworms (only affects nameplates while out of combat)"],
			order = 9,
			args =
			{
				enable =
				{
					type = 'toggle',
					name = L["Enable"],
					desc = L["Shows nameplates for hostile totems/trap snakes/bloodworms (only affects nameplates while out of combat)"],
					order = 9,
					get = function() return AloftVisibility.db.profile.showHostileTotems end,
					set = function(v) AloftVisibility.db.profile.showHostileTotems = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
				},
				exception =
				{
					type = 'group',
					name = L["Exceptions"],
					desc = L["Even if nameplates for hostile totems/trap snakes/bloodworms are hidden, display these (with a dedicated color)"],
					order = 9,
					args =
					{
						enableTremorTotem =
						{
							type = 'toggle',
							name = L["Enable Tremor Totem"],
							desc = L["Explicitly shows nameplates for hostile tremor totems (with a dedicated color)"],
							order = 1,
							get = function() return AloftVisibility.db.profile.enableHostileTotem[oT["Tremor Totem"]] end,
							set = function(v) AloftVisibility.db.profile.enableHostileTotem[oT["Tremor Totem"]] = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
						},
						tremorTotemColor =
						{
							type = 'color',
							name = L["Dedicated Tremor Totem Color"],
							desc = L["Sets the dedicated color for hostile tremor totem nameplates"],
							order = 2,
							disabled = function() return not AloftVisibility.db.profile.showHostileTotems and not AloftVisibility.db.profile.enableHostileTotem[oT["Tremor Totem"]] end,
							get = function() return unpack(AloftVisibility.db.profile.hostileTotemColor[oT["Tremor Totem"]]) end,
							set = function(r, g, b, a) AloftVisibility.db.profile.hostileTotemColor[oT["Tremor Totem"]] = { r, g, b, a } AloftVisibility:Update() end,
							hasAlpha = true,
						},
						enableGroundingTotem =
						{
							type = 'toggle',
							name = L["Enable Grounding Totem"],
							desc = L["Explicitly shows nameplates for hostile grounding totems (with a dedicated color)"],
							order = 3,
							get = function() return AloftVisibility.db.profile.enableHostileTotem[oT["Grounding Totem"]] end,
							set = function(v) AloftVisibility.db.profile.enableHostileTotem[oT["Grounding Totem"]] = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
						},
						groundingTotemColor =
						{
							type = 'color',
							name = L["Dedicated Grounding Totem Color"],
							desc = L["Sets the dedicated color for hostile grounding totem nameplates"],
							order = 4,
							disabled = function() return not AloftVisibility.db.profile.showHostileTotems and not AloftVisibility.db.profile.enableHostileTotem[oT["Grounding Totem"]] end,
							get = function() return unpack(AloftVisibility.db.profile.hostileTotemColor[oT["Grounding Totem"]]) end,
							set = function(r, g, b, a) AloftVisibility.db.profile.hostileTotemColor[oT["Grounding Totem"]] = { r, g, b, a } AloftVisibility:Update() end,
							hasAlpha = true,
						},
						enableEarthbindTotem =
						{
							type = 'toggle',
							name = L["Enable Earthbind Totem"],
							desc = L["Explicitly shows nameplates for hostile earthbind totems (with a dedicated color)"],
							order = 5,
							get = function() return AloftVisibility.db.profile.enableHostileTotem[oT["Earthbind Totem"]] end,
							set = function(v) AloftVisibility.db.profile.enableHostileTotem[oT["Earthbind Totem"]] = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
						},
						earthbindTotemColor =
						{
							type = 'color',
							name = L["Dedicated Earthbind Totem Color"],
							desc = L["Sets the dedicated color for hostile earthbind totem nameplates"],
							order = 6,
							disabled = function() return not AloftVisibility.db.profile.showHostileTotems and not AloftVisibility.db.profile.enableHostileTotem[oT["Earthbind Totem"]] end,
							get = function() return unpack(AloftVisibility.db.profile.hostileTotemColor[oT["Earthbind Totem"]]) end,
							set = function(r, g, b, a) AloftVisibility.db.profile.hostileTotemColor[oT["Earthbind Totem"]] = { r, g, b, a } AloftVisibility:Update() end,
							hasAlpha = true,
						},
					},
				},
			},
		},
		showNeutralUnits =
		{
			type = 'toggle',
			name = L["Show Neutral Units"],
			desc = L["Show neutral units"],
			get = function() return AloftVisibility.db.profile.showNeutralUnits end,
			set = function(v) AloftVisibility.db.profile.showNeutralUnits = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
			order = 10,
		},
		critters =
		{
			type = 'group',
			name = L["Critters"],
			desc = L["Visibility options for critters"],
			args =
			{
				showCritters =
				{
					type = 'toggle',
					name = L["Show Critters"],
					desc = L["Shows nameplates for critters"],
					disabled = function() return not AloftVisibility.db.profile.showNeutralUnits end,
					get = function() return AloftVisibility.db.profile.showCritters end,
					set = function(v) AloftVisibility.db.profile.showCritters = v Aloft:DetermineDataSources() AloftVisibility:Update() end,
					order = 11
				},
				critterLevel =
				{
					type = 'range',
					name = L["Critter Level"],
					desc = L["Assume neutral units below this level are 'critters'"],
					min = 1,
					max = 8,
					step = 1,
					get = function() return AloftVisibility.db.profile.critterLevel end,
					set = function(v) AloftVisibility.db.profile.critterLevel = v Aloft:DetermineDataSources() AloftVisibility:Update() end
				},
				critterHealth =
				{
					type = 'range',
					name = L["Critter Health"],
					desc = L["Assume neutral units below this health are 'critters'"],
					min = 1,
					max = 80,
					step = 1,
					get = function() return AloftVisibility.db.profile.critterHealth end,
					set = function(v) AloftVisibility.db.profile.critterHealth = v Aloft:DetermineDataSources() AloftVisibility:Update() end
				},
			},
		},
	},
}

-----------------------------------------------------------------------------

end)
