---------
function GoGo_OnLoad()
---------
	SLASH_GOGOMOUNT1 = "/gogo"
	SlashCmdList["GOGOMOUNT"] = function(msg) GoGo_OnSlash(msg) end
	SLASH_GOGOID1 = "/id"
	SlashCmdList["GOGOID"] = function(msg) GoGo_Msg(GoGo_Id(msg)) end
	this:RegisterEvent("VARIABLES_LOADED")
	this:RegisterEvent("UPDATE_BINDINGS")
	this:RegisterEvent("TAXIMAP_OPENED")
	this:RegisterEvent("CHAT_MSG_ADDON")
end --function

---------
function GoGo_OnEvent(event)
---------
	if event == "VARIABLES_LOADED" then
		TESTVERSION = false
		GOGO_DEBUG = false
		if not GoGo_Prefs then
			GoGo_Prefs = {}
			GoGo_Settings_Default()
		end --if
		_, GOGO_CLASS = UnitClass("player")
		if (GOGO_CLASS == "DRUID" or GOGO_CLASS == "SHAMAN") then
			this:RegisterEvent("PLAYER_REGEN_DISABLED")
		end --if
		GOGO_OUTLANDS = table.concat({GetMapZones(3)}, ":")..":"..GOGO_ZONE_TWISTING_NETHER
		GOGO_NORTHREND = table.concat({GetMapZones(4)}, ":")..":"..GOGO_ZONE_THEFROZENSEA
		GoGoFrame:RegisterEvent("ZONE_CHANGED_NEW_AREA")
		if not GoGo_Prefs.version then
			GoGo_Settings_Default()
		elseif GoGo_Prefs.version ~= GetAddOnMetadata("GoGoMount", "Version") then
			GoGo_Settings_SetUpdates()
		end --if
		GoGo_Panel_Options()
		GoGo_Panel_UpdateViews()
	elseif event == "PLAYER_REGEN_DISABLED" then
		for i, button in ipairs({GoGoButton, GoGoButton2, GoGoButton3}) do
			if GoGo_Prefs.useshapeform then
				if GOGO_CLASS == "SHAMAN" then
					GoGo_FillButton(button, GoGo_InBook(GOGO_SPELLS["SHAMAN"]))
				elseif GOGO_CLASS == "DRUID" then
					GoGo_FillButton(button, GoGo_InBook(GOGO_SPELLS["DRUID"]))
				end --if
			else
				GoGo_FillButton(button)
			end --if
		end --for
	elseif event == "ZONE_CHANGED_NEW_AREA" then
		SetMapToCurrentZone()
--		GoGo_Panel_Favorites_ZoneTabText:SetText(GetRealZoneText())
	elseif event == "TAXIMAP_OPENED" then
		GoGo_Dismount()
	elseif event == "UPDATE_BINDINGS" then
		if not InCombatLockdown() then  -- ticket 213
			GoGo_CheckBindings()
		end --if
	elseif event == "UI_ERROR_MESSAGE" then
		if GOGO_ERRORS[arg1] and not IsFlying() then
			GoGo_Dismount()
		end --if
	elseif (event == "CHAT_MSG_ADDON") and (arg1 == "GoGoMountVER") and not GoGo_Prefs.DisableUpdateNotice then
		if (arg2 > GetAddOnMetadata("GoGoMount", "Version")) and not GoGoShownUpdate then
			GoGoShownUpdate = true
			GoGo_Msg(GOGO_STRING_NEWVERSIONFOUND .. arg4)
		end --if
	end --if
end --function

---------
function GoGo_OnSlash(msg)
---------
	if GOGO_COMMANDS[string.lower(msg)] then
		GOGO_COMMANDS[string.lower(msg)]()
	elseif string.find(msg, "spell:%d+") or string.find(msg, "item:%d+") then
		local FItemID = string.gsub(msg,".-\124H([^\124]*)\124h.*", "%1");
		local idtype, itemid = strsplit(":",FItemID);
		GoGo_AddPrefMount(tonumber(itemid))
		GoGo_Msg("pref")
	else
		GoGo_Msg("optiongui")
		GoGo_Msg("shapeform")
		GoGo_Msg("auto")
		GoGo_Msg("fly")
		GoGo_Msg("genericfastflyer")
		GoGo_Msg("updatenotice")
		GoGo_Msg("mountnotice")
		if GOGO_CLASS == "DRUID" then GoGo_Msg("druidclickform") end --if
		GoGo_Msg("pref")
	end --if
end --function

---------
function GoGo_PreClick(button)
---------
	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("GoGo PreClick Runs"))
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Location = " .. GetRealZoneText() .. " - " .. GetZoneText() .. " - " ..GetSubZoneText() .. " - " .. GetMinimapZoneText()))
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Current unit speed is " .. GetUnitSpeed("player")))
		if GoGo_CanFly() then
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We can fly here as per GoGoMount CanFly."))
		else
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We can not fly here as per GoGoMount CanFly."))
		end --if
		if IsOutdoors() then
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We are outdoors as per IsOutdoors"))
		else
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We are not outdoors as per IsOutdoors"))
		end --if
		if IsIndoors() then
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We are indoors as per IsIndoors"))
		else
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We are not indoors as per IsIndoors"))
		end --if
		if IsFlyableArea() then
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We can fly here as per IsFlyableArea"))
		else
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We can not fly here as per IsFlyableArea"))
		end --if
		if IsSwimming() then
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We are swimming as per IsSwimming"))
		else
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("We are not swimming as per IsSwimming"))
		end --if
		local posX, posY = GetPlayerMapPosition("Player")
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Location: X = ".. posX .. ", Y = " .. posY))
	end --if

	if not InCombatLockdown() then
		GoGo_FillButton(button)
	end --if

	if IsMounted() or CanExitVehicle() then
		GoGo_Dismount()
	elseif GOGO_CLASS == "DRUID" and GoGo_IsShifted() and not InCombatLockdown() then
		GoGo_Dismount(button)
	elseif GOGO_CLASS == "SHAMAN" and UnitBuff("player", GOGO_SHAMAN_GHOSTWOLF) then
		GoGo_Dismount()
	elseif not InCombatLockdown() then
		GoGo_FillButton(button, GoGo_GetMount())
	end --if
	
	if not TESTVERSION then
		if ( IsInGuild() ) then
			SendAddonMessage("GoGoMountVER", GetAddOnMetadata("GoGoMount", "Version"), "GUILD")
		end --if
--			SendAddonMessage("GoGoMountVER", GetAddOnMetadata("GoGoMount", "Version"), "BATTLEGROUND")
--			SendAddonMessage("GoGoMountVER", GetAddOnMetadata("GoGoMount", "Version"), "RAID")
	end --if
	
end --function

---------
function GoGo_GetMount()
---------

	local selectedmount = GoGo_ChooseMount()

--	if (GOGO_CLASS == "PALADIN") and GoGo_Prefs.PaliUseCrusader and GoGo_InBook(GOGO_PALADIN_CRUSADERAURA) then
--		local modifier = GetSpellInfo(GOGO_PALADIN_CRUSADERAURA)
--		selectedmount = selectedmount .. "\n /stopcasting;\n /cast " .. modifier
--	end --if
	
	return selectedmount
	
end --function

---------
function GoGo_ChooseMount()
---------
	if (GOGO_CLASS == "DRUID") and (GoGo_IsMoving() or IsSwimming() or IsFalling()) then
		return GoGo_InBook(GOGO_SPELLS["DRUID"])
	elseif (GOGO_CLASS == "SHAMAN") and GoGo_IsMoving() then
		return GoGo_InBook(GOGO_SPELLS["SHAMAN"])
	end --if

	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Chooser - passed is moving"))
	end --if

	local mounts = {}
	local GoGo_FilteredMounts = {}
	local loc = GetRealZoneText()
	local GoGo_EngineeringLevel = GoGo_GetSkillLevel(GOGO_SKILL_ENGINEERING) or 0
	local GoGo_TailoringLevel = GoGo_GetSkillLevel(GOGO_SKILL_TAILORING) or 0
	local GoGo_RidingLevel = GoGo_GetSkillLevel(GOGO_SKILL_RIDING) or 0
	
	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg(GOGO_SKILL_ENGINEERING .. " = "..GoGo_EngineeringLevel))
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg(GOGO_SKILL_TAILORING .. " = "..GoGo_TailoringLevel))
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg(GOGO_SKILL_RIDING .. " = "..GoGo_RidingLevel))
	end --if

	if (table.getn(mounts) == 0) then
		if GoGo_Prefs[loc] then
			GoGo_FilteredMounts = GoGo_Prefs[loc]
			GoGo_DisableUnknownMountNotice = true
		end --if
	end --if
	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Chooser - passed zone prefs"))
	end --if

	if (table.getn(mounts) == 0) and not GoGo_FilteredMounts or (table.getn(GoGo_FilteredMounts) == 0) then
		if GoGo_Prefs.GlobalPrefMounts then
			GoGo_FilteredMounts = GoGo_Prefs.GlobalPrefMounts
			GoGo_DisableUnknownMountNotice = true
		end --if
	end --if

	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Chooser - passed global prefs"))
	end --if

	if (table.getn(mounts) == 0) and not GoGo_FilteredMounts or (table.getn(GoGo_FilteredMounts) == 0) then
		GoGo_FilteredMounts = GoGo_MountList()
		if GOGO_DEBUG then
			DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Chooser - getting mounts"))
		end --if
		if not GoGo_FilteredMounts or (table.getn(GoGo_FilteredMounts) == 0) then
			if GOGO_CLASS == "SHAMAN" and GoGo_Prefs.useshapeform then
				if GOGO_DEBUG then
					DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Using shaman wolf form - no mounts found."))
				end --if
				return GoGo_InBook(GOGO_SPELLS["SHAMAN"])
			elseif GOGO_CLASS == "DRUID" and GoGo_Prefs.useshapeform then
				return GoGo_InBook(GOGO_SPELLS["DRUID"])
			else
				return nil
			end --if
		end --if
	end --if
	
	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Chooser - passed getting mount list"))
	end --if
	
--	if (table.getn(mounts) == 0) then
	local GoGo_TempMounts = {}
	if GoGo_EngineeringLevel <= 299 then
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 45)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 46)
	elseif GoGo_EngineeringLevel >= 300 and GoGo_EngineeringLevel <= 374 then
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 46)
	elseif GoGo_EngineeringLevel >= 375 then
		-- filter nothing
	else
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 45)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 46)
	end --if
	if GoGo_TailoringLevel <= 409 then
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 49)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 48)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 47)
	elseif GoGo_TailoringLevel >= 410 and GoGo_TailoringLevel <= 424 then
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 49)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 47)
	elseif GoGo_TailoringLevel >= 425 and GoGo_TailoringLevel <= 449 then
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 47)
	elseif GoGo_TailoringLevel >= 450 then
		-- filter nothing
	else
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 49)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 48)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 47)
	end --if

	if IsSwimming() then
		GoGo_SkipFlying = true
	else
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 53)
	end --if
	
	if loc ~= GOGO_ZONE_AQ40 then
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 50)
	end --if
--end --if
	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Chooser - passed filters"))
	end --if
	
	if GoGo_Passengers then
		GoGo_FilteredMounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 2) or {}
	end --if

	if (table.getn(mounts) == 0) and IsSwimming() then
		mounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 5) or {}
	end --if
	
	if (table.getn(mounts) == 0) and GoGo_CanFly() and not GoGo_SkipFlying then
		if GoGo_RidingLevel <= 224 then
			GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 36)
			GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 35)
		elseif GoGo_RidingLevel >= 225 and GoGo_RidingLevel <= 299 then
			GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 35)
		elseif GoGo_RidingLevel >= 300 then
			-- filter nothing
		else
			GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 36)
			GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 35)
		end --if
		if GoGo_Prefs.useshapeform and GOGO_CLASS == "DRUID" and GoGo_InBook(GOGO_DRUID_FAST_FLIGHTFORM) then
			table.insert(mounts, GOGO_DRUID_FAST_FLIGHTFORM)
		end --if
		if (table.getn(mounts) == 0) and (GOGO_CLASS == "DRUID") and (GoGo_InBook(GOGO_DRUID_FLIGHTFORM)) and (GoGo_Prefs.useshapeform) then
			table.insert(mounts, GOGO_DRUID_FLIGHTFORM)
		end --if

		if (table.getn(mounts) == 0) then
			GoGo_TempMounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 1)
			mounts = GoGo_FilterMountsIn(GoGo_TempMounts, 24)
		end --if
		if GoGo_Prefs.genericfastflyer then
			local GoGo_TempMountsA = GoGo_FilterMountsIn(GoGo_TempMounts, 23)
			if GoGo_RidingLevel <= 299 then
				GoGo_TempMountsA = GoGo_FilterMountsOut(GoGo_TempMountsA, 29)
			end --if
			if GoGo_TempMountsA then
				for counter = 1, table.getn(GoGo_TempMountsA) do
					table.insert(mounts, GoGo_TempMountsA[counter])
				end --for
			end --if
			local GoGo_TempMountsA = GoGo_FilterMountsIn(GoGo_TempMounts, 26)
			if GoGo_TempMountsA then
				for counter = 1, table.getn(GoGo_TempMountsA) do
					table.insert(mounts, GoGo_TempMountsA[counter])
				end --for
			end --if
		end --if
		if (table.getn(mounts) == 0) then
			GoGo_TempMountsA = GoGo_FilterMountsIn(GoGo_TempMounts, 23)
			if GoGo_RidingLevel <= 299 then
				mounts = GoGo_FilterMountsOut(GoGo_TempMountsA, 29)
			else
				mounts = GoGo_TempMountsA
			end --if
--			if (GOGO_CLASS == "DRUID") and (GoGo_InBook(GOGO_DRUID_FAST_FLIGHTFORM)) and (GoGo_Prefs.useshapeform) then
--				table.insert(mounts, GOGO_DRUID_FAST_FLIGHTFORM)
--			end --if
		end --if
		if (table.getn(mounts) == 0) then
			GoGo_TempMounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 1)
			mounts = GoGo_FilterMountsIn(GoGo_TempMounts, 22)
--			if (GOGO_CLASS == "Druid") and (GoGo_InBook(GOGO_DRUID_FLIGHTFORM)) and (GoGo_Prefs.useshapeform) then
--				table.insert(GoGo_TempMounts, GOGO_DRUID_FLIGHTFORM)
--			end --if
		end --if
	end --if

	
	if (table.getn(GoGo_FilteredMounts) >= 1) then
		--GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 1)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 36)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 35)
	end --if

	if (table.getn(mounts) == 0) and (table.getn(GoGo_FilteredMounts) >= 1) then  -- no flying mounts selected yet - try to use loaned mounts
		GoGo_TempMounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 52) or {}
		if (table.getn(GoGo_TempMounts) >= 1) and (loc == GOGO_ZONE_SHOLAZARBASIN or loc == GOGO_ZONE_STORMPEAKS or loc == GOGO_ZONE_ICECROWN) and GoGo_Prefs.preferflight then
			mounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 52)
		end --if
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 52)
	end --if
	
	if (table.getn(mounts) == 0) and GoGo_CanRide() then
		if GoGo_RidingLevel <= 74 then
			GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 37)
			GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 38)
		elseif GoGo_RidingLevel >= 75 and GoGo_RidingLevel <= 149 then
			GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 37)
		end --if
		GoGo_TempMounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 21)
		if GoGo_RidingLevel <= 149 then
			GoGo_TempMounts = GoGo_FilterMountsOut(GoGo_TempMounts, 29)
		end --if
		if GoGo_RidingLevel <= 225 and GoGo_CanFly() then
			mounts = GoGo_FilterMountsOut(GoGo_TempMounts, 3)
		else
			mounts = GoGo_TempMounts
		end --if
		if (table.getn(mounts) == 0) then
			mounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 20)
		end --if
		if (table.getn(mounts) == 0) then
			mounts = GoGo_FilterMountsIn(GoGo_FilteredMounts, 25)
		end --if
	end --if
	
	if table.getn(GoGo_FilteredMounts) >= 1 then
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 37)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 38)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 21)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 20)
		GoGo_FilteredMounts = GoGo_FilterMountsOut(GoGo_FilteredMounts, 25)
	end --if
	
	if (table.getn(mounts) == 0) then
		if (GOGO_CLASS == "SHAMAN") and (GoGo_InBook(GOGO_SHAMAN_GHOSTWOLF)) and (GoGo_Prefs.useshapeform) then
			table.insert(mounts, GOGO_SHAMAN_GHOSTWOLF)
		end --if
	end --if

	if (table.getn(mounts) >= 1) then
		if GOGO_DEBUG then
			for a = 1, table.getn(mounts) do
				DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Random picks from " .. mounts[a]))
			end --for
		end --if
		selected = mounts[math.random(table.getn(mounts))]
		if type(selected) == "string" then
			if GOGO_DEBUG then
				DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Selected string " .. selected))
			end --if
			return selected
		else
			selected = GoGo_GetIDName(selected)
			return selected
		end --if
	end --if
end --function

---------
function GoGo_FilterMountsOut(PlayerMounts, FilterID)
---------
	local GoGo_FilteringMounts = {}
	if table.getn(PlayerMounts) == 0 then
		return GoGo_FilteringMounts
	end --if
	for a = 1, table.getn(PlayerMounts) do
		local MountID = PlayerMounts[a]
		for DBMountID, DBMountData in pairs(GoGo_Mounts) do
			if (DBMountID == MountID) and not DBMountData[FilterID] then
				table.insert(GoGo_FilteringMounts, MountID)
			elseif not GoGo_Mounts[MountID] then
				GoGo_Prefs.UnknownMounts[MountID] = true
				if not GoGo_Prefs.DisableMountNotice and not GoGo_DisableUnknownMountNotice then
					GoGo_DisableUnknownMountNotice = true
					GoGo_Msg("UnknownMount")
				end --if
			end --if
		end --for
	end --for
	return GoGo_FilteringMounts
end --function

---------
function GoGo_FilterMountsIn(PlayerMounts, FilterID)
---------
	local GoGo_FilteringMounts = {}
	if table.getn(PlayerMounts) == 0 then
		return GoGo_FilteringMounts
	end --if
	for a = 1, table.getn(PlayerMounts) do
		local MountID = PlayerMounts[a]
		for DBMountID, DBMountData in pairs(GoGo_Mounts) do
			if (DBMountID == MountID) and DBMountData[FilterID] then
				table.insert(GoGo_FilteringMounts, MountID)
			elseif not GoGo_Mounts[MountID] then
				GoGo_Prefs.UnknownMounts[MountID] = true
				if not GoGo_Prefs.DisableMountNotice and not GoGo_DisableUnknownMountNotice then
					GoGo_DisableUnknownMountNotice = true
					GoGo_Msg("UnknownMount")
				end --if
			end --if
		end --for
	end --for
	return GoGo_FilteringMounts
end --function

---------
function GoGo_Dismount(button)
---------
	if IsMounted() then
		Dismount()
	elseif CanExitVehicle() then	
		VehicleExit()
	elseif GOGO_CLASS == "DRUID" and GoGo_IsShifted() and button then
		if GoGo_Prefs.DruidClickForm then
			GoGo_FillButton(button, GoGo_GetMount())
		else
--			CancelUnitBuff("player", GoGo_IsShifted())  -- protected by blizzard now
			GoGo_FillButton(button, GoGo_IsShifted())
		end --if
	elseif GOGO_CLASS == "SHAMAN" and UnitBuff("player", GoGo_InBook(GOGO_SHAMAN_GHOSTWOLF)) then
		CancelUnitBuff("player", GoGo_InBook(GOGO_SHAMAN_GHOSTWOLF))
	else
		return nil
	end --if
	return true
end --function

---------
function GoGo_InCompanions(item)
---------
	for slot = 1, GetNumCompanions("MOUNT") do
		local _, _, spellID = GetCompanionInfo("MOUNT", slot)
		if spellID and string.find(item, spellID) then
			if GOGO_DEBUG then 
				DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Found " .. GetSpellInfo(spellID)))
			end --if
			return GetSpellInfo(spellID)
		end --if
	end --for
end --function

---------
function GoGo_MountList()
---------
	local GoGo_FindingMounts = {}
	local GoGo_TempMounts = {}
	if (GetNumCompanions("MOUNT") >= 1) then
		for slot = 1, GetNumCompanions("MOUNT"),1 do
			local _, _, SpellID = GetCompanionInfo("MOUNT", slot)
			table.insert(GoGo_FindingMounts, SpellID)
		end --for
	end --if
	GoGo_TempMounts = GoGo_FilterMountsIn(GoGo_MountsItems, 4)  -- = GoGo_FilterMountsIn(GoGo_Mounts, 4)?
	
	for a = 1, table.getn(GoGo_TempMounts) do
		local MountID = GoGo_TempMounts[a]
		if GoGo_InBags(MountID) then
			table.insert(GoGo_FindingMounts, MountID)
		end --if
	end --for
	return GoGo_FindingMounts
end

---------
function GoGo_InBags(item)
---------
	for bag = 0, NUM_BAG_FRAMES do
		for slot = 1, GetContainerNumSlots(bag) do
			local link = GetContainerItemLink(bag, slot)
			if link and string.find(link, item) then
				return GetItemInfo(link)
			end --if
		end --for
	end --for
end --function

---------
function GoGo_InBook(spell)
---------
	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("InBook searching for type " .. type(spell)))
	end --if
	if type(spell) == "function" then
		return spell()
	else
		if type(spell) == "string" then
			if GOGO_DEBUG then
				DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("InBook searching for " .. spell))
			end --if
			local slot = 1
			while GetSpellName(slot, "spell") do
				local name = GetSpellName(slot, "spell")
				if name == spell then
					return spell
				end --if
				slot = slot + 1
			end --while
		elseif type(spell) == "number" then
			local spellname = GetSpellInfo(spell)
			if GOGO_DEBUG then
				DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("InBook searching for spell ID " .. spell))
			end --if
			local slot = 1
			while GetSpellName(slot, "spell") do
				local name = GetSpellName(slot, "spell")
				if name == spellname then
					return name
				end --if
				slot = slot + 1
			end --while
			-- blah
		end --if
	end --if
end --function

---------
function GoGo_IsShifted()
---------
	if GOGO_DEBUG then
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Is shifted called"))
	end --if
	for i = 1, GetNumShapeshiftForms() do
		local _, name, active = GetShapeshiftFormInfo(i)
		if active then
			if GOGO_DEBUG then
				DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Is Shifted found " .. name))
			end --if
			return name
		end
	end --for
end --function

---------
function GoGo_InOutlands()
---------
	local loc = GetRealZoneText()
	if string.find(GOGO_OUTLANDS, loc, 1, true) then
		return true
	end --if
end --function

function GoGo_InNorthrend()
---------
	local loc = GetRealZoneText()
	if string.find(GOGO_NORTHREND, loc, 1, true) then
		return true
	end --if
end --function

---------
function GoGo_AddPrefMount(spell)
---------
	if GOGO_DEBUG then 
		DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Preference " .. spell))
	end --if

	if not GoGo_Prefs.GlobalPrefMount then
		local loc = GetRealZoneText()
		if not GoGo_Prefs[loc] then GoGo_Prefs[loc] = {} end
		table.insert(GoGo_Prefs[loc], spell)
		if table.getn(GoGo_Prefs[loc]) > 1 then
			local i = 2
			repeat
				if GoGo_Prefs[loc][i] == GoGo_Prefs[loc][i - 1] then
					table.remove(GoGo_Prefs[loc], i)
				else
					i = i + 1
				end --if
			until i > table.getn(GoGo_Prefs[loc])
		end --if
	else
		if not GoGo_Prefs.GlobalPrefMounts then GoGo_Prefs.GlobalPrefMounts = {} end
		table.insert(GoGo_Prefs.GlobalPrefMounts, spell)
		if table.getn(GoGo_Prefs.GlobalPrefMounts) > 1 then
			local i = 2
			repeat
				if GoGo_Prefs.GlobalPrefMounts[i] == GoGo_Prefs.GlobalPrefMounts[i - 1] then
					table.remove(GoGo_Prefs.GlobalPrefMounts, i)
				else
					i = i + 1
				end --if
			until i > table.getn(GoGo_Prefs.GlobalPrefMounts)
		end --if
	end --if
end --function

---------
function GoGo_GetIDName(itemid)
---------
	local tempname = ""
	local ItemName = ""
	if type(itemid) == "number" then
		local GoGo_TempMount = {}
		table.insert(GoGo_TempMount, itemid)
		if (table.getn(GoGo_FilterMountsIn(GoGo_TempMount, 4)) == 1) then
			return GetItemInfo(itemid) or "Unknown Mount"
		else
			return GetSpellInfo(itemid) or "Unknown Mount"
		end --if
	elseif type(itemid) == "table" then
		for a=1, table.getn(itemid) do
			tempname = itemid[a]
			local GoGo_TempTable = {}
			table.insert(GoGo_TempTable, tempname)
			if (table.getn(GoGo_FilterMountsIn(GoGo_TempTable, 4)) == 1) then
--				tempname = GetItemInfo(tempname)
				if GOGO_DEBUG then
					DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("GetItemID for " .. tempname .. GetItemInfo(tempname)))
				end --if
				ItemName = ItemName .. (GetItemInfo(tempname) or "Unknown Mount") .. ", "
			else
--				tempname = GetSpellInfo(tempname)
				if GOGO_DEBUG then
					DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("GetSpellID for " .. tempname .. GetSpellInfo(tempname)))
				end --if
				ItemName = ItemName .. (GetSpellInfo(tempname) or "Unknown Mount") .. ", "
			end --if
				if GOGO_DEBUG then
					DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("Itemname string is " .. ItemName))
				end --if
		end --for
		return ItemName
	end --if
end --function

---------
function GoGo_FillButton(button, mount)
---------
	if mount then
		button:SetAttribute("macrotext", "/use "..mount)
	else
		button:SetAttribute("macrotext", nil)
	end --if
end --function

---------
function GoGo_CheckBindings()
---------
	for binding, button in pairs({GOGOBINDING = GoGoButton, GOGOBINDING2 = GoGoButton2, GOGOBINDING3 = GoGoButton3}) do
		ClearOverrideBindings(button)
		local key1, key2 = GetBindingKey(binding)
		if key1 then
			SetOverrideBindingClick(button, true, key1, button:GetName())
		end --if
		if key2 then
			SetOverrideBindingClick(button, true, key2, button:GetName())
		end --if
	end --if
end --function

---------
function GoGo_CanFly()
---------
	local GoGo_Zone = GetRealZoneText()
	local GoGo_SubZone = GetSubZoneText()

	local level = UnitLevel("player")
--	if (level <= 69) and not (GOGO_CLASS == "DRUID") then
--		return false
--	elseif (GOGO_CLASS == "DRUID" and level <= 67) then
--		return false
--	end --if
	if (level < 60) then
		return false
	end --if
	
	if GoGo_InOutlands() then
		-- we can fly here
	elseif (GoGo_InNorthrend() and (GoGo_InBook(GOGO_COLD_WEATHER_FLYING))) then
		if GoGo_Zone == GOGO_ZONE_DALARAN then
			if (GoGo_SubZone == GOGO_SZONE_KRASUSLANDING) then
				if not IsFlyableArea() then
					return false
				end --if
			elseif (GoGo_SubZone == GOGO_SZONE_THEVIOLETCITADEL) then
				if not IsOutdoors() then
					return false
				end --if
--				if not GoGo_CheckCoOrds("Dalaran", "VioletCitadel") then
--					return false
--				end --if
				if not IsFlyableArea() then
					return false
				end --if
			elseif (GoGo_SubZone == GOGO_SZONE_THEUNDERBELLY) then
--				if not GoGo_CheckCoOrds("Dalaran", "Underbelly") then
--					return false
--				end --if
				if not IsFlyableArea() then
					return false
				end --if
			elseif (GoGo_SubZone == GOGO_ZONE_DALARAN) then
--				if not GoGo_CheckCoOrds("Dalaran", "Dalaran") then
--					return false
--				end --if
				if not IsFlyableArea() then
					return false
				end --if
			else
				return false
			end --if
		end --if

		if GoGo_Zone == GOGO_ZONE_WINTERGRASP then
			if GetWintergraspWaitTime() then
				if GOGO_DEBUG then
					DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("GoGo_CanFly():  In Wintergrasp - battle ground is not active."))
				end --if
				-- timer ticking to start wg.. we can mount
			else
				if GOGO_DEBUG then
					DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("GoGo_CanFly():  In Wintergrasp - battle ground is active."))
				end --if
				-- we should be in battle.. can't mount
				return false
			end --if
		end --if
	else
		return false  -- we can't fly anywhere else
	end --if
	
	return true
end --function

---------
function GoGo_CanRide()
---------
	local level = UnitLevel("player")
	if level >= 20 then
		return true
	end --if
end --function

---------
function GoGo_IsMoving()
---------
    if GetUnitSpeed("player") ~= 0 then
        return true
    else
        return false
    end --if
end --function

---------
function GoGo_GetSkillLevel(searchname)
---------
	for skillIndex = 1, GetNumSkillLines() do
		skillName, isHeader, isExpanded, skillRank = GetSkillLineInfo(skillIndex)
		if isHeader == nil then
			if skillName == searchname then
				return skillRank
			end --if
		end --if
	end --for
end --function

---------
function GoGo_CheckCoOrds(ZoneName, SubZoneName)
---------
	local posX, posY = GetPlayerMapPosition("Player")
	local CanFlyHere = false
	local ZoneName = GoGo_FlyCoOrds[ZoneName]
	local SubZoneName = ZoneName[SubZoneName]
	for a = 1, table.getn(SubZoneName) or 0 do
				if GOGO_DEBUG then
					DEFAULT_CHAT_FRAME:AddMessage(GoGo_Msg("GoGo_CheckCoOrds(): Checking CoOrds " .. a))
				end --if
		local PointAX, PointAY, PointBX, PointBY = SubZoneName[a][1], SubZoneName[a][2], SubZoneName[a][3], SubZoneName[a][4]
		if posX >= PointAX and posX <= PointBX and posY >= PointAY and posY <= PointBY then
			-- we are in the rectangle a
			return true
		end --if
	end --for
	return false
end --function

---------
function GoGo_Msg(msg)
---------
	if msg then
		if GOGO_MESSAGES[msg] then
			GoGo_Msg(GOGO_MESSAGES[msg]())
		else
			msg = string.gsub(msg, "<", LIGHTYELLOW_FONT_COLOR_CODE)
			msg = string.gsub(msg, ">", "|r")
			DEFAULT_CHAT_FRAME:AddMessage(GREEN_FONT_COLOR_CODE.."GoGo: |r"..msg)
		end --if
	end --if
end --function

---------
function GoGo_Id(itemstring)
---------
	local _, _, itemid = string.find(itemstring,"(item:%d+)")
	if itemid then
		return itemid.." - "..itemstring
	end --if
	local _, _, spellid = string.find(itemstring,"(spell:%d+)")
	if spellid then
		return spellid.." - "..itemstring
	end --if

end --function

GOGO_ERRORS = {
	[SPELL_FAILED_NOT_MOUNTED] = true,
	[SPELL_FAILED_NOT_SHAPESHIFT] = true,
	[ERR_ATTACK_MOUNTED] = true,
}

GOGO_SPELLS = {
	["DRUID"] = function()
		if GoGo_InBook(GOGO_DRUID_AQUAFORM) then
			if not GoGo_SkipFlying and GoGo_CanFly() and GoGo_InBook(GOGO_DRUID_FAST_FLIGHTFORM) then
				return "[swimming] "..GoGo_InBook(GOGO_DRUID_AQUAFORM).."; [combat]"..GoGo_InBook(GOGO_DRUID_TRAVELFORM).."; "..GoGo_InBook(GOGO_DRUID_FAST_FLIGHTFORM)
			elseif not GoGo_SkipFlying and GoGo_CanFly() and GoGo_InBook(GOGO_DRUID_FLIGHTFORM) then
				return "[swimming] "..GoGo_InBook(GOGO_DRUID_AQUAFORM).."; [combat]"..GoGo_InBook(GOGO_DRUID_TRAVELFORM).."; "..GoGo_InBook(GOGO_DRUID_FLIGHTFORM)
			else
				return "[swimming] "..GoGo_InBook(GOGO_DRUID_AQUAFORM).."; "..GoGo_InBook(GOGO_DRUID_TRAVELFORM)
			end --if
		end --if
	end, --function
	["SHAMAN"] = GOGO_SHAMAN_GHOSTWOLF,
}

GOGO_COMMANDS = {
	["shapeform"] = function()
		if (GOGO_CLASS == "DRUID") or (GOGO_CLASS == "SHAMAN") then
			GoGo_Prefs.useshapeform = not GoGo_Prefs.useshapeform
			GoGo_Msg("shapeform")
			GoGo_Panel_UpdateViews()
		else
			return
		end --if
	end, --function
	["auto"] = function()
		GoGo_Prefs.autodismount = not GoGo_Prefs.autodismount
		GoGo_Msg("auto")
		GoGo_Panel_UpdateViews()
	end, --function
	["fly"] = function()
		if not GoGo_CanFly() then
			return
		else
			GoGo_Prefs.preferflight = not GoGo_Prefs.preferflight
			GoGo_Msg("fly")
			GoGo_Panel_UpdateViews()
		end --if
	end, --function
	["genericfastflyer"] = function()
		if not GoGo_CanFly() then
			return
		else
			GoGo_Prefs.genericfastflyer = not GoGo_Prefs.genericfastflyer
			GoGo_Msg("genericfastflyer")
			GoGo_Panel_UpdateViews()
		end --if
	end, --function
	["clear"] = function()
		if GoGo_Prefs.GlobalPrefMount then
			GoGo_Prefs.GlobalPrefMounts = nil
			if not InCombatLockdown() then
				for i, button in ipairs({GoGoButton, GoGoButton2}) do
					GoGo_FillButton(button)
				end --for
			end --if
		else
			GoGo_Prefs[GetRealZoneText()] = nil
			if not InCombatLockdown() then
				for i, button in ipairs({GoGoButton, GoGoButton2}) do
					GoGo_FillButton(button)
				end --for
			end --if
		end --if
		GoGo_Msg("pref")
	end, --function
	["updatenotice"] = function()
		GoGo_Prefs.DisableUpdateNotice = not GoGo_Prefs.DisableUpdateNotice
		GoGo_Msg("updatenotice")
		GoGo_Panel_UpdateViews()
	end, --function
	["mountnotice"] = function()
		GoGo_Prefs.DisableMountNotice = not GoGo_Prefs.DisableMountNotice
		GoGo_Msg("mountnotice")
		GoGo_Panel_UpdateViews()
	end, --function
	["druidclickform"] = function()
		GoGo_Prefs.DruidClickForm = not GoGo_Prefs.DruidClickForm
		GoGo_Msg("druidclickform")
		GoGo_Panel_UpdateViews()
	end, --function
	["options"] = function()
		InterfaceOptionsFrame_OpenToCategory(GoGo_Panel)
	end, --function
}

GOGO_MESSAGES = {
	["shapeform"] = function()
		if (GOGO_CLASS == "DRUID") or (GOGO_CLASS == "SHAMAN") then
			if GoGo_Prefs.useshapeform then
				return "Shape forms included - </gogo shapeform> to toggle"
			else
				return "Shape forms excluded - </gogo shapeform> to toggle"
			end --if
		else
			return
		end --if
	end, --function
	["auto"] = function()
		if GoGo_Prefs.autodismount then
			return "Autodismount active - </gogo auto> to toggle"
		else
			return "Autodismount inactive - </gogo auto> to toggle"
		end --if
	end, --function
	["fly"] = function()
		if not GoGo_CanFly() then
			return
		elseif GoGo_Prefs.preferflight then
			return "Slow flying over fast running - </gogo fly> to toggle"
		else
			return "Fast running over slow flying - </gogo fly> to toggle"
		end --if
	end, --function
	["genericfastflyer"] = function()
		if not GoGo_CanFly() then
			return
		elseif GoGo_Prefs.genericfastflyer then
			return "Considering epic flying mounts 310% - 280% speeds the same for random selection - </gogo genericfastflyer> to toggle"
		else
			return "Considering epic flying mounts 310% - 280% speeds different for random selection - </gogo genericfastflyer> to toggle"
		end --if
	end, --function
	["pref"] = function()
		local msg = ""
		local loc = GetRealZoneText()
		if not GoGo_Prefs.GlobalPrefMount then
			local list = ""
			if GoGo_Prefs[loc] then
				list = list .. GoGo_GetIDName(GoGo_Prefs[loc])
				msg = loc..": "..list.." - </gogo clear> to clear"
			else
				msg = loc..": ?".." - </gogo ItemLink> or </gogo SpellName> to add"
			end --if
			if GoGo_Prefs.GlobalPrefMounts then
				list = list .. GoGo_GetIDName(GoGo_Prefs.GlobalPrefMounts)
				msg = msg .. "\nGlobal Preferred Mounts: "..list.." - Enable global mount preferences to change."
			end --if
			return msg
		else
			local list = ""
			if GoGo_Prefs.GlobalPrefMounts then
				list = list .. GoGo_GetIDName(GoGo_Prefs.GlobalPrefMounts)
				msg = "Global Preferred Mounts: "..list.." - </gogo clear> to clear"
			else
				msg =  "Global Preferred Mounts: ?".." - </gogo ItemLink> or </gogo SpellName> to add"
			end --if
			if GoGo_Prefs[loc] then
				list = list .. GoGo_GetIDName(GoGo_Prefs[loc])
				msg = msg .. "\n" .. loc ..": "..list.." - Disable global mount preferences to change."
			end --if
			return msg
		end --if
	end, --function
	["updatenotice"] = function()
		if GoGo_Prefs.DisableUpdateNotice then
			return "Update notices from other players disabled - </gogo updatenotice> to toggle"
		else
			return "Update notices from other players enabled - </gogo updatenotice> to toggle"
		end --if
	end, --function
	["mountnotice"] = function()
		if GoGo_Prefs.DisableMountNotice then
			return "Update notices about unknown mounts are disabled - </gogo mountnotice> to toggle"
		else
			return "Update notices about unknown mounts are enabled - </gogo mountnotice> to toggle"
		end --if
	end, --function
	["druidclickform"] = function()
		if GoGo_Prefs.DruidClickForm then
			return "Single click form changes enabled - </gogo druidclickform> to toggle"
		else
			return "Single click form changes disabled - </gogo druidclickform> to toggle"
		end --if
	end, --function
	["UnknownMount"] = function() return GOGO_STRING_UNKNOWNMOUNTFOUND end, --function
	["optiongui"] = function() return "To open the GUI options window - </gogo options>" end, --function
}

---------
function GoGo_Panel_OnLoad(GoGo_Panel)
---------
--	local GoGo_Panel = CreateFrame("FRAME", nil);
--	GoGo_Panel:SetScript("OnShow",function() GoGo_Panel_UpdateViews(); end);
	GoGo_Panel.name = "GoGoMount"
	GoGo_Panel.okay = function (self) GoGo_Panel_Okay(); end;
	GoGo_Panel.default = function (self) GoGo_Settings_Default(); GoGo_Panel_UpdateViews(); end;
	InterfaceOptions_AddCategory(GoGo_Panel)
	
end --function

---------
function GoGo_Panel_CurrentZoneFavorites_OnLoad(GoGo_Panel_CurrentZoneFavorites)
---------
	GoGo_Panel_CurrentZoneFavorites.name = GOGO_STRING_CURRENTZONEFAVORITES
	GoGo_Panel_CurrentZoneFavorites.parent = "GoGoMount"
	GoGo_Panel_CurrentZoneFavorites.okay = function (self) GoGo_Panel_Okay(); end;
	GoGo_Panel_CurrentZoneFavorites.default = function (self) GOGO_COMMANDS["clear"](); GoGo_UpdateFavoritesTabs(); end;  -- use clear command with default button
	InterfaceOptions_AddCategory(GoGo_Panel_CurrentZoneFavorites)
end --function

---------
function GoGo_Panel_GlobalFavorites_OnLoad(GoGo_Panel_GlobalFavorites)
---------
	GoGo_Panel_GlobalFavorites.name = GOGO_STRING_GLOBALFAVORITES
	GoGo_Panel_GlobalFavorites.parent = "GoGoMount"
	GoGo_Panel_GlobalFavorites.okay = function (self) GoGo_Panel_Okay(); end;
	GoGo_Panel_GlobalFavorites.default = function (self) GOGO_COMMANDS["clear"](); GoGo_UpdateFavoritesTabs(); end;  -- use clear command with default button
	InterfaceOptions_AddCategory(GoGo_Panel_GlobalFavorites)
end --function

---------
function GoGo_Panel_Options()
---------
	GoGo_Panel_DruidClickForm = CreateFrame("CheckButton", "GoGo_Panel_DruidClickForm", GoGo_Panel, "OptionsCheckButtonTemplate")
	GoGo_Panel_DruidClickForm:SetPoint("TOPLEFT", 16, -16)
	GoGo_Panel_DruidClickFormText:SetText(GOGO_STRING_DRUIDSINGLECLICK)

	GoGo_Panel_AutoDismount = CreateFrame("CheckButton", "GoGo_Panel_AutoDismount", GoGo_Panel, "OptionsCheckButtonTemplate")
	GoGo_Panel_AutoDismount:SetPoint("TOPLEFT", "GoGo_Panel_DruidClickForm", "BOTTOMLEFT", 0, -4)
	GoGo_Panel_AutoDismountText:SetText(GOGO_STRING_ENABLEAUTODISMOUNT)

	GoGo_Panel_PreferFlight = CreateFrame("CheckButton", "GoGo_Panel_PreferFlight", GoGo_Panel, "OptionsCheckButtonTemplate")
	GoGo_Panel_PreferFlight:SetPoint("TOPLEFT", "GoGo_Panel_AutoDismount", "BOTTOMLEFT", 0, -4)
	GoGo_Panel_PreferFlightText:SetText(GOGO_STRING_PREFERSLOWAIR)

	GoGo_Panel_GenericFastFlyer = CreateFrame("CheckButton", "GoGo_Panel_GenericFastFlyer", GoGo_Panel, "OptionsCheckButtonTemplate")
	GoGo_Panel_GenericFastFlyer:SetPoint("TOPLEFT", "GoGo_Panel_PreferFlight", "BOTTOMLEFT", 0, -4)
	GoGo_Panel_GenericFastFlyerText:SetText(GOGO_STRING_SAMEEPICFLYSPEED)

	GoGo_Panel_UseShapeFormSpells = CreateFrame("CheckButton", "GoGo_Panel_UseShapeFormSpells", GoGo_Panel, "OptionsCheckButtonTemplate")
	GoGo_Panel_UseShapeFormSpells:SetPoint("TOPLEFT", "GoGo_Panel_GenericFastFlyer", "BOTTOMLEFT", 0, -4)
	GoGo_Panel_UseShapeFormSpellsText:SetText(GOGO_STRING_USESHAPESHIFTFORMS)

	GoGo_Panel_GlobalPrefMount = CreateFrame("CheckButton", "GoGo_Panel_GlobalPrefMount", GoGo_Panel, "OptionsCheckButtonTemplate")
	GoGo_Panel_GlobalPrefMount:SetPoint("TOPLEFT", "GoGo_Panel_UseShapeFormSpells", "BOTTOMLEFT", 0, -4)
	GoGo_Panel_GlobalPrefMountText:SetText("Preferred mount changes apply to global setting")

--	GoGo_Panel_PaliUseCrusader = CreateFrame("CheckButton", "GoGo_Panel_PaliUseCrusader", GoGo_Panel, "OptionsCheckButtonTemplate")
--	GoGo_Panel_PaliUseCrusader:SetPoint("TOPLEFT", "GoGo_Panel_GlobalPrefMount", "BOTTOMLEFT", 0, -4)
--	GoGo_Panel_PaliUseCrusaderText:SetText("Paladins:  Auto start Crusader Aura when mounting")

	GoGo_Panel_DisableUpdateNotice = CreateFrame("CheckButton", "GoGo_Panel_DisableUpdateNotice", GoGo_Panel, "OptionsCheckButtonTemplate")
--	GoGo_Panel_DisableUpdateNotice:SetPoint("TOPLEFT", "GoGo_Panel_PaliUseCrusader", "BOTTOMLEFT", 0, -12)
	GoGo_Panel_DisableUpdateNotice:SetPoint("TOPLEFT", "GoGo_Panel_GlobalPrefMount", "BOTTOMLEFT", 0, -12)
	GoGo_Panel_DisableUpdateNoticeText:SetText(GOGO_STRING_DISABLEUPDATENOTICES)

	GoGo_Panel_DisableMountNotice = CreateFrame("CheckButton", "GoGo_Panel_DisableMountNotice", GoGo_Panel, "OptionsCheckButtonTemplate")
	GoGo_Panel_DisableMountNotice:SetPoint("TOPLEFT", "GoGo_Panel_DisableUpdateNotice", "BOTTOMLEFT", 0, -4)
	GoGo_Panel_DisableMountNoticeText:SetText(GOGO_STRING_DISABLEUNKNOWNMOUNTNOTICES)
	

end --function

---------
function GoGo_Panel_UpdateViews()
---------
	GoGo_Panel_UseShapeFormSpells:SetChecked(GoGo_Prefs.useshapeform)
	GoGo_Panel_AutoDismount:SetChecked(GoGo_Prefs.autodismount)
	GoGo_Panel_PreferFlight:SetChecked(GoGo_Prefs.preferflight)
	GoGo_Panel_GenericFastFlyer:SetChecked(GoGo_Prefs.genericfastflyer)

	GoGo_Panel_DisableUpdateNotice:SetChecked(GoGo_Prefs.DisableUpdateNotice)
	GoGo_Panel_DisableMountNotice:SetChecked(GoGo_Prefs.DisableMountNotice)
	GoGo_Panel_DruidClickForm:SetChecked(GoGo_Prefs.DruidClickForm)
	GoGo_Panel_GlobalPrefMount:SetChecked(GoGo_Prefs.GlobalPrefMount)
--	GoGo_Panel_PaliUseCrusader:SetChecked(GoGo_Prefs.PaliUseCrusader)
	
	if GoGo_Prefs.autodismount then
		GoGoFrame:RegisterEvent("UI_ERROR_MESSAGE")
	else
		GoGoFrame:UnregisterEvent("UI_ERROR_MESSAGE")
	end --if
end -- function

---------
function GoGo_Panel_Okay()
---------
	GoGo_Prefs.useshapeform = GoGo_Panel_UseShapeFormSpells:GetChecked()
	GoGo_Prefs.autodismount = GoGo_Panel_AutoDismount:GetChecked()
	GoGo_Prefs.preferflight = GoGo_Panel_PreferFlight:GetChecked()
	GoGo_Prefs.genericfastflyer = GoGo_Panel_GenericFastFlyer:GetChecked()
	GoGo_Prefs.DisableUpdateNotice = GoGo_Panel_DisableUpdateNotice:GetChecked()
	GoGo_Prefs.DisableMountNotice = GoGo_Panel_DisableMountNotice:GetChecked()
	GoGo_Prefs.DruidClickForm = GoGo_Panel_DruidClickForm:GetChecked()
	GoGo_Prefs.GlobalPrefMount = GoGo_Panel_GlobalPrefMount:GetChecked()
--	GoGo_Prefs.PaliUseCrusader = GoGo_Panel_PaliUseCrusader:GetChecked()
end --function

---------
function GoGo_Settings_Default()
---------
	GoGo_Prefs.version = GetAddOnMetadata("GoGoMount", "Version")
	GoGo_Prefs.useshapeform = true
	GoGo_Prefs.autodismount = true
	GoGo_Prefs.preferflight = true
	GoGo_Prefs.DisableUpdateNotice = false
	GoGo_Prefs.DisableMountNotice = false
	GoGo_Prefs.genericfastflyer = false
	GoGo_Prefs.DruidClickForm = true
	GoGo_Prefs.UnknownMounts = {}
	GoGo_Prefs.GlobalPrefMounts = {}
	GoGo_Prefs.GlobalPrefMount = false
--	GoGo_Prefs.PaliUseCrusader = false
end --function

---------
function GoGo_Settings_SetUpdates()
---------
	GoGo_Prefs.version = GetAddOnMetadata("GoGoMount", "Version")
	if not GoGo_Prefs.useshapeform then GoGo_Prefs.useshapeform = false end
	if not GoGo_Prefs.autodismount then GoGo_Prefs.autodismount = false end
	if not GoGo_Prefs.preferflight then GoGo_Prefs.preferflight = false end
	if not GoGo_Prefs.DisableUpdateNotice then GoGo_Prefs.DisableUpdateNotice = false end
	if not GoGo_Prefs.DisableMountNotice then GoGo_Prefs.DisableMountNotice = false end
	if not GoGo_Prefs.genericfastflyer then GoGo_Prefs.genericfastflyer = false end
	if not GoGo_Prefs.DruidClickForm then GoGo_Prefs.DruidClickForm = false end
	if not GoGo_Prefs.GlobalPrefMount then GoGo_Prefs.GlobalPrefMount = false end
--	if not GoGo_Prefs.PaliUseCrusader then GoGo_Prefs.PaliUseCrusader = false end
	GoGo_Prefs.UnknownMounts = {}
end --function
